Bug 481435 - Missing Requires: libXmu-devel
Missing Requires: libXmu-devel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-24 16:03 EST by Ben Boeckel
Modified: 2009-05-19 14:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 14:45:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2009-01-24 16:03:24 EST
Description of problem:
When installing the mesa-libGL or mesa-libGLU devel packages, libXmu-devel does not get pulled in. Not sure which should have the dependency.
Comment 1 Adam Jackson 2009-02-08 02:39:43 EST
Why do you believe this to be the case?  A quick grep doesn't show the Xmu headers referenced from any of the mesa headers.
Comment 2 Ben Boeckel 2009-02-08 03:06:22 EST
I was building a friend's code when I was missing headers. Asked what was needed and I had everything. It turned out that libXmu-devel was missing. Either way, Gentoo has the following (unless they have unneeded dependencies here or parts are disabled in Fedora):

$ paludis -qD mesa
* media-libs/mesa
    gentoo:                  6.5.2-r1 7.0.3(~) 7.1_rc3(~) 7.1(~) 7.2_rc1(~) 7.2(~) (7.3)R(~) {:0} 
    layman:                  (7.0.3 (in ::pda))X (9999 (in ::THE))X (9999-r1 (in ::nouveau))X (9999-r2 (in ::nouveau))X {:0} 
    installed:               7.2* {:0} 
    Description:             OpenGL-like graphic library for Linux
    Homepage:                http://mesa3d.sourceforge.net/
    License:                 LGPL-2
    Installed time:          Sun Jan 25 20:25:05 2009
    Use flags:               (-debug) (doc) (-motif) (nptl) (-pic) (xcb) video_cards: (-intel) (-mach64) (-mga) (-none) (-r128) (-radeon) (-s3virge) (-savage) (-sis) (-sunffb) (-tdfx) (-trident) (-via)
    From repositories:       gentoo
    Installed using:         paludis-0.34.0
    Build dependencies:      
            >=app-admin/eselect-opengl-1.0.6-r1
            dev-libs/expat
            >=x11-libs/libX11-1.1.5
            >=x11-libs/libXext-1.0.4
            >=x11-libs/libXxf86vm-1.0.2
            >=x11-libs/libXi-1.1.3
            >=x11-libs/libXmu-1.0.3
            >=x11-libs/libXdamage-1.1.1
            >=x11-libs/libdrm-2.3.1
            >=x11-libs/libICE-1.0.4
            motif? (
                >=x11-libs/openmotif-2.3.1-r1
            )
            doc? (
                >=app-doc/opengl-manpages-20001215
            )
            !<=x11-base/xorg-x11-6.9
            !<=x11-proto/xf86driproto-2.0.3
            dev-util/pkgconfig
            >=x11-misc/makedepend-1.0.1
            >=x11-proto/inputproto-1.4.4
            >=x11-proto/xextproto-7.0.3
            !hppa? (
                >=x11-proto/xf86driproto-2.0.4
            )
            >=x11-proto/xf86vidmodeproto-2.2.2
            >=x11-proto/glproto-1.4.9
            motif? (
                >=x11-proto/printproto-1.0.4
            )
            =sys-devel/automake-1.10*
            >=sys-devel/autoconf-2.61
            sys-devel/libtool
    Run dependencies:        
            >=app-admin/eselect-opengl-1.0.6-r1
            dev-libs/expat
            >=x11-libs/libX11-1.1.5
            >=x11-libs/libXext-1.0.4
            >=x11-libs/libXxf86vm-1.0.2
            >=x11-libs/libXi-1.1.3
            >=x11-libs/libXmu-1.0.3
            >=x11-libs/libXdamage-1.1.1
            >=x11-libs/libdrm-2.3.1
            >=x11-libs/libICE-1.0.4
            motif? (
                >=x11-libs/openmotif-2.3.1-r1
            )
            doc? (
                >=app-doc/opengl-manpages-20001215
            )
            !<=x11-base/xorg-x11-6.9
    Post dependencies:       
    Source URI:              mirror://sourceforge/mesa3d/MesaLib-7.2.tar.bz2
 
Key to mask reasons:
 
* R: repository
* X: unavailable
* ~: keyword (unstable accepted)
Comment 3 Adam Jackson 2009-05-19 14:45:29 EDT
Sounds like your friend's code needs libXmu-devel then.  None of the mesa headers reference libXmu headers, even transitively.

Note You need to log in before you can comment on or make changes to this bug.